#!/bin/bash

echo "请输入证书的完整路径（例如 /home/nrs/cert.pem）："
read CERT_FILE

if [ -z "$CERT_FILE" ]; then
    echo "证书路径不能为空。"
    exit 1
fi

sed -i "s|^CERT_FILE=.*|CERT_FILE=\"$CERT_FILE\"|" check-cert-update.sh

cp check-cert-update.sh /usr/local/bin/
chmod +x /usr/local/bin/check-cert-update.sh

cp systemd/* /etc/systemd/system/

systemctl daemon-reload
systemctl enable check-cert-update.timer
systemctl start check-cert-update.timer

echo "安装完成，证书监控脚本已配置并启动。"
